Bug 17584 - Screen locking in apmscript does not work properly for root.
Summary: Screen locking in apmscript does not work properly for root.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apmd (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-18 07:14 UTC by martikka
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-18 07:14:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description martikka 2000-09-18 07:14:44 UTC
Screen locking in apmscript does not work properly for root.
There are couple of bugs in apmscripts (incorrent version was submitted to
bero).
Here's the fix:

66,67c66,67
<                               if [ "X$Usern" = "Xroot" ]; then
<                                       su $Usern -c "xlock -display
$XDisp" &>/dev/null &
---
>                               if [ "x$Usern" = "Xroot" ]; then
>                                       xlock -display $XDisp &>/dev/null &


Anyway the screen-locking is a crude hack... :)

Comment 1 Bernhard Rosenkraenzer 2000-09-23 15:33:47 UTC
This is fixed in 3.0final-20 (and probably -19 and -18).

Comment 2 martikka 2000-10-05 16:15:54 UTC
The X=x test was fixed, but it seems that "su $Usern -c " fix was omitted.
Xlock doesn't work without su (at least for me).


Note You need to log in before you can comment on or make changes to this bug.